Name:		xkbcomp
Version:	1.3.1
Release:	%mkrel 2
Summary:	Compile XKB keyboard description
Group:		Development/X11
Source:		http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
License:	MIT

BuildRequires:	libx11-devel >= 1.0.0
BuildRequires:	libxkbfile-devel >= 1.0.1
BuildRequires:	x11-util-macros >= 1.0.1

%description
The xkbcomp keymap compiler converts a description of an XKB keymap into one of
several output formats. The most common use for xkbcomp is to create a compiled
keymap file (.xkm extension) which can be read directly by XKB-capable X
servers or utilities.

%package devel
Summary:	Devel file for xkbcomp
Group:		Development/X11

%description devel
This packages contains the devel file for xkbcomp.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%make_install

%files
%{_bindir}/xkbcomp
%{_mandir}/man1/xkbcomp.1*

%files devel
%{_libdir}/pkgconfig/xkbcomp.pc


%changelog
* Wed Jan 20 2016 daviddavid <daviddavid> 1.3.1-2.mga6
+ Revision: 926015
- switch to %%configure2_5x to fix build

* Thu Nov 12 2015 tv <tv> 1.3.1-1.mga6
+ Revision: 902671
- new release

* Sun Jun 21 2015 luigiwalser <luigiwalser> 1.3.0-1.mga6
+ Revision: 837381
- 1.3.0

* Wed Oct 15 2014 umeabot <umeabot> 1.2.4-6.mga5
+ Revision: 742099
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.4-5.mga5
+ Revision: 690672
- Mageia 5 Mass Rebuild

* Thu Nov 14 2013 tv <tv> 1.2.4-4.mga4
+ Revision: 551117
- do not bloat X11 installs: split pkgconfig file

* Fri Oct 18 2013 umeabot <umeabot> 1.2.4-3.mga4
+ Revision: 520676
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.2.4-2.mga3
+ Revision: 387061
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 tv <tv> 1.2.4-1.mga3
+ Revision: 257354
- fix file list
- new release

* Wed Jun 29 2011 tv <tv> 1.2.3-1.mga2
+ Revision: 116166
- new release

* Tue Feb 22 2011 dmorgan <dmorgan> 1.2.1-1.mga1
+ Revision: 57073
- New version 1.2.1

* Thu Jan 13 2011 dmorgan <dmorgan> 1.2.0-1.mga1
+ Revision: 7890
- imported package xkbcomp


* Tue Nov 02 2010 Thierry Vignaud <tv@mandriva.org> 1.2.0-1mdv2011.0
+ Revision: 591826
- new release

* Wed Nov 11 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.1.1-1mdv2010.1
+ Revision: 464710
- New version: 1.1.1

* Thu Jul 09 2009 Thierry Vignaud <tv@mandriva.org> 1.1.0-1mdv2010.0
+ Revision: 393772
- new release

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.5-3mdv2009.1
+ Revision: 351043
- rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.0.5-2mdv2009.0
+ Revision: 266091
- rebuild early 2009.0 package (before pixel changes)

* Wed May 28 2008 Thierry Vignaud <tv@mandriva.org> 1.0.5-1mdv2009.0
+ Revision: 212576
- new release

* Mon Apr 14 2008 Thierry Vignaud <tv@mandriva.org> 1.0.4-1mdv2009.0
+ Revision: 192975
- new release

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.3-3mdv2008.1
+ Revision: 154693
- Updated BuildRequires and resubmit package.
  This program deserves a mandriva branch in git, but since the only changes
  from tag xkbcomp-1.0.3 are updated COPYING and changes in source to declare
  char * as const char *, will leave possible adition of branch to later, and
  if required.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.0.3-2mdv2008.1
+ Revision: 98612
- minor spec cleanup
- rebuild with xserver 1.4 and latest x11proto
  (just in case)

* Fri Aug 31 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.3-1mdv2008.0
+ Revision: 76530
- rebuild for 2008
- new release 1.0.3
- slight spec clean

  + Thierry Vignaud <tv@mandriva.org>
    - do not hardcode lzma extension!!!


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 20:17:57 (31598)
- X11R7.1

* Tue May 23 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-23 22:24:58 (31400)
- fill in a couple of missing descriptions

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

